Bug 958150 - Review Request: xfe - X File Explorer File Manager
Summary: Review Request: xfe - X File Explorer File Manager
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 958149
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-30 13:51 UTC by Mamoru TASAKA
Modified: 2013-05-09 05:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-09 05:25:32 UTC
orion: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2013-04-30 13:51:15 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/xfe-related/xfe.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/xfe-related/xfe-1.34-1.fc.src.rpm
Description: 
X File Explorer (xfe) is a lightweight file manager for X11, 
written using the FOX toolkit.

Fedora Account System Username: mtasaka

Comment 1 Mamoru TASAKA 2013-04-30 13:52:14 UTC
Depends on fox (bug 958149 ). Mock build log for F-19 available on:
http://mtasaka.fedorapeople.org/Review_request/xfe-related/MOCK-xfe.log

Comment 2 Orion Poplawski 2013-05-03 22:16:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues 
===========

- Bundled libraries/code:
  * libsn - this appears to be "startup-notification" in Fedora and should probably get ported to that (although it has this:

#ifndef SN_API_NOT_YET_FROZEN
#error "libstartup-notification should only be used if you understand that it's subject to frequent change, and is not yet supported as a fixed API/ABI or as part of the platform"
#endif
)

In any case it has an MIT license.


  * xvt - I guess this would be considered a fork - but it is licensed:

/*  Copyright 1992, 1993 John Bovey, University of Kent at Canterbury.
 *
 *  Redistribution and use in source code and/or executable forms, with
 *  or without modification, are permitted provided that the following
 *  condition is met:
 *
 *  Any redistribution must retain the above copyright notice, this
 *  condition and the following disclaimer, either as part of the
 *  program source code included in the redistribution or in human-
 *  readable materials provided with the redistribution.
 *
 *  THIS SOFTWARE IS PROVIDED "AS IS".  Any express or implied
 *  warranties concerning this software are disclaimed by the copyright
 *  holder to the fullest extent permitted by applicable law.  In no
 *  event shall the copyright-holder be liable for any damages of any
 *  kind, however caused and on any theory of liability, arising in any
 *  way out of the use of, or inability to use, this software.
 *
 *  -------------------------------------------------------------------
 *
 *  In other words, do not misrepresent my work as your own work, and
 *  do not sue me if it causes problems.  Feel free to do anything else
 *  you wish with it.
 */

Which is similar to BSD 2 clause.  Might need to ask legal about it.

See also https://launchpad.net/ubuntu/saucy/+source/xfe/+copyright


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xfe-theme
     OK for noarch subpackage
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "LGPL (v2.1 or later)", "LGPL (v2 or later)", "LGPL
     (v2 or later) (with incorrect FSF address)", "Unknown or generated". 98
     files have unknown license. Detailed output of licensecheck in
     /export/home/orion/redhat/xfe-1.34/review-xfe/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked when required
     Note: desktop file(s) in xfe
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 153600 bytes in 6 files.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 2099200 bytes in /usr/share 2099200
     xfe-1.34-1.fc18.x86_64.rpm
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xfe-1.34-1.fc18.x86_64.rpm
          xfe-theme-1.34-1.fc18.noarch.rpm
xfe.x86_64: E: incorrect-fsf-address /usr/share/doc/xfe-1.34/COPYING
xfe-theme.noarch: W: no-documentation
xfe-theme.noarch: W: dangling-relative-symlink /usr/share/xfe/icons/blue-theme/searchprev.png ../gnome-theme/searchprev.png
... 
lots of these

OK because -theme package depends on main package that contains gnome-themem.


2 packages and 0 specfiles checked; 1 errors, 1171 warnings.


Requires
--------
xfe (rpmlib, GLIBC filtered):
    /bin/sh
    config(xfe)
    libFOX-1.6.so.0()(64bit)
    libX11.so.6()(64bit)
    libXft.so.2()(64bit)
    libc.so.6()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpng15.so.15()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

xfe-theme (rpmlib, GLIBC filtered):
    xfe



Provides
--------
xfe:
    config(xfe)
    mimehandler(application/x-deb)
    mimehandler(application/x-debian-package)
    mimehandler(application/x-rpm)
    mimehandler(image/bmp)
    mimehandler(image/gif)
    mimehandler(image/jpeg)
    mimehandler(image/png)
    mimehandler(image/tiff)
    mimehandler(image/xpm)
    mimehandler(text/plain)
    xfe
    xfe(x86-64)

xfe-theme:
    xfe-theme



Source checksums
----------------
http://downloads.sourceforge.net/xfe/xfe-1.34.tar.gz :
  CHECKSUM(SHA256) this package     : 5e311b0609349ca5ad2c34d32ccb79863eb48f6b8a9fddcecf37f0dd36
8acf78
  CHECKSUM(SHA256) upstream package : 5e311b0609349ca5ad2c34d32ccb79863eb48f6b8a9fddcecf37f0dd36
8acf78


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -n xfe -p --no-build

Comment 3 Mamoru TASAKA 2013-05-04 15:00:47 UTC
Thank you for initial comments.

For items listed in "Issues":
* Although SN_API_NOT_YET_FROZEN is quite messy, now xfe is changed to
  use system-wide startup-notification
* I think xvt.c is just MIT, however clarification anyway is requested
  on legal mailing list.

http://mtasaka.fedorapeople.org/Review_request/xfe-related/xfe.spec
http://mtasaka.fedorapeople.org/Review_request/xfe-related/xfe-1.34-2.fc.src.rpm

* Sat May  4 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.34-2
- Try to use system-wide startup-notification

Mock build log for F-19:
http://mtasaka.fedorapeople.org/Review_request/xfe-related/MOCK-xfe.log

Comment 5 Mamoru TASAKA 2013-05-07 02:51:51 UTC
Now license clarification from spot:
http://lists.fedoraproject.org/pipermail/legal/2013-May/002168.html
xvt.c is under BSD.
So the whole license can be GPLv2+.

Comment 6 Orion Poplawski 2013-05-07 03:18:43 UTC
Sorry, but I don't see where in the licensing guidelines it indicates that in such a situation the whole thing would GPLv2+.  Wouldn't it be "GPLv2+ and BSD and MIT" ?

Comment 7 Mamoru TASAKA 2013-05-07 03:32:15 UTC
This is explained as:
https://fedoraproject.org/wiki/Licensing:FAQ?rd=Licensing/FAQ#What_is_.22effective_license.22_and_do_I_need_to_know_that_for_the_License:_tag.3F

i.e. GPLv2+ is "strictest" license among source files. BSD, MIT, and so on have no strictness relation between them, however GPL is special because GPL'ed file requires that other source files combined with it must have compatible (weaker) licenses.

Comment 8 Orion Poplawski 2013-05-07 18:01:43 UTC
Ah, that where that was, thanks.  I remember that bug couldn't find it.

Approved.

Comment 9 Mamoru TASAKA 2013-05-07 21:15:52 UTC
Thank you!

New Package SCM Request
=======================
Package Name: xfe
Short Description: X File Explorer File Manager
Owners: mtasaka
Branches: f17 f18 f19
InitialCC:

Comment 10 Gwyn Ciesla 2013-05-08 12:07:34 UTC
Git done (by process-git-requests).

Comment 11 Mamoru TASAKA 2013-05-09 05:25:32 UTC
Rebuilt on all branches, push requested for stable branches, closing.
Thank you for reviewing and git procedure.


Note You need to log in before you can comment on or make changes to this bug.